# Uses of Interface
org.eclipse.compare.ICompareFilter

Packages that use ICompareFilter
Package
Description
org.eclipse.compare.internal
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.

## Uses of ICompareFilter in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that return ICompareFilter
Modifier and Type
Method
Description
`ICompareFilter`
CompareFilterDescriptor.`createCompareFilter()`
`static ICompareFilter[]`
Utilities.`getCompareFilters(CompareConfiguration cc)`
Returns the active compare filters for the compare configuration
Methods in org.eclipse.compare.internal with parameters of type ICompareFilter
Modifier and Type
Method
Description
`static String`
Utilities.`applyCompareFilters(String thisLine, char thisContributor, String otherLine, char otherContributor, ICompareFilter[] filters)`
Applies the compare filters to the lines of text taken from the specified contributors
Constructors in org.eclipse.compare.internal with parameters of type ICompareFilter
Modifier
Constructor
Description
``
`DocLineComparator(IDocument document, IRegion region, boolean ignoreWhiteSpace, ICompareFilter[] compareFilters, char contributor, Optional<IIgnoreWhitespaceContributor> ignoreWhitespaceContributor)`
Creates a `DocLineComparator` for the given document range. ignoreWhiteSpace controls whether comparing lines (in method `rangesEqual`) should ignore whitespace.

## Uses of ICompareFilter in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer with parameters of type ICompareFilter
Modifier and Type
Method
Description
`boolean`
StructureCreator.`contentsEquals(Object node1, char contributor1, Object node2, char contributor2, boolean ignoreWhitespace, ICompareFilter[] compareFilters)`
Returns true if the two nodes are equal for comparison purposes.